/*!
*  @file Space.h
*  @brief ゲーム中の空間地形情報のプロトタイプ
*  @date 2014/02/20
*  @author Deskull
*  2014 Sikabane Works.
*/

#pragma once

#include "stdafx.h"
#include "GameElement.h"
#include "Color.h"
#include "HaveSymbol.h"
#include "HaveHp.h"

namespace Deeangband
{

	/*!
	* @class Space
	* @brief 地形情報のクラス
	*/
	class Space : public GameElement, public HaveSymbol, public HaveHp
	{
	private:


		/*!
		* @brief クラスのシリアライズを設定する
		* @param archive アーカイブ化するクラスのアドレス
		* @param version ファイルバージョン
		* @return XMLSerializeテンプレート
		*/
		template<class Archive> void serialize(Archive &archive, const unsigned int version) 
		{
			if(version >= 0)
			{
			}
		}

	public:

		/*! 
		* @brief Spaceクラスコンストラクタ
		*/
		Space::Space(void);

		/*! 
		* @brief ダミーデータによる初期化
		* @return なし
		*/
		void Space::WipeData(void);

		/*! 
		* @brief Spaceクラスデストラクタ
		*/
		Space::~Space(void);

	};

}

